콘텐츠로 건너뛰기

Isaac 0.1

통합

모델 id perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.001 1 API 크레딧 이 페이지에서 실행

API 키 받기
Perceptron 비전 #multimodal#vision

이미지에 대해 텍스트, 상자, 점 또는 다각형 형식으로 답변하는 비전-언어 모델

Perceptron · 텍스트

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지에 적용된 프롬프트입니다.

•필수 image_url
파일을 끌어다 놓거나

처리할 이미지를 식별하는 URL입니다.

고급 response_style
response_style 기본값 text

이미지 응답 형식을 선택합니다. 모든 모드에는 텍스트가 포함되며, box는 바운딩 박스, point는 포인트, polygon은 폴리곤을 추가합니다. text만 사용하면 텍스트만 반환합니다. 세밀한 분할에는 polygon, 위치 식별에는 box를 사용합니다. 설명과 캡션에는 text를, 많은 객체를 셀 때는 point를 사용합니다.

POST /run/perceptron/isaac-01?wait=20 견적 → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Isaac 0.1 정보

`image_url`과 `prompt`를 받아 `response_style`로 지정한 형식의 응답을 반환합니다. Text는 캡션과 설명에 적합하고, box, point 및 polygon 스타일은 위치 정보를 추가합니다. 결과에는 생성된 출력, 부분 출력 플래그, 오류 메시지(있는 경우)와 사용량 정보가 포함됩니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
처리할 이미지를 식별하는 URL입니다.
prompt필수
유형string
이미지에 적용된 프롬프트입니다.
response_style선택 사항
유형enum
기본값text
textboxpointpolygon
이미지 응답 형식을 선택합니다. 모든 모드에는 텍스트가 포함되며, box는 바운딩 박스, point는 포인트, polygon은 폴리곤을 추가합니다. text만 사용하면 텍스트만 반환합니다. 세밀한 분할에는 polygon, 위치 식별에는 box를 사용합니다. 설명과 캡션에는 text를, 많은 객체를 셀 때는 point를 사용합니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
output
string모델이 생성한 결과입니다.
partial
boolean출력이 불완전한지 나타냅니다.
error
string | null오류가 발생한 경우 오류를 설명하는 메시지입니다.
usage
object {completion_tokens, prompt_tokens, total_tokens} | null사용량 세부 정보입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/perceptron/isaac-01.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt